Koozali.org formerly Contribs.org

Hylafax Re-visited Yet Again

What a shame
« Reply #15 on: February 09, 2007, 09:55:57 PM »
After all the work that we all did, the upgrade broke the install and now nothing works.

Anybody out there willing to see if they can fix this? I do not have the skills to trouble shoot this complex of an issue.

Carl

P.S. The install olny lasted 2 weeks, oh well.

Hylafax Re-visited Yet Again
« Reply #16 on: February 09, 2007, 11:16:11 PM »
/home/e-smith/files/users/faxuser/.qmail-default

is usually a symlink, did it survive the reconfig, can't see why it would

Yet Another Install
« Reply #17 on: February 10, 2007, 12:32:48 AM »
Over the weekend I will attempt to re-install the Hylafax yet again and see what breaks. Anybody willing to try this with me?

Have a great weekend all.

Carl

Hylafax Re-visited Yet Again
« Reply #18 on: February 10, 2007, 01:29:44 AM »
yes,
add comments here

http://smeserver.sourceforge.net/howto/HylaFax

this is mostly a cut and past with no checking done so far

Hylafax Re-visited Yet Again
« Reply #19 on: February 10, 2007, 03:34:09 AM »
your howto is saying to edit files in /etc  that belong to the hylafax rpm
they will be overwritten on an ungrade

you need to make templates and they need to be expanded after an upgrade

How do you expand templates?
« Reply #20 on: February 10, 2007, 05:01:18 AM »
Could you tell us how to expand templates and I will rewrite the how to?

Carl

Hylafax Re-visited Yet Again
« Reply #21 on: February 10, 2007, 05:25:09 AM »
see the developers guide in the SME Server Manual
link at top of page

but I've rolled all your steps into a rpm that should survive upgrades
I'd appreciate testing
you can d/l it from the bugtracker soon

Hylafax Re-visited Yet Again
« Reply #22 on: February 10, 2007, 10:23:15 AM »
http://bugs.contribs.org/show_bug.cgi?id=2457

for testing,
I don't have the resources to test over the w/e

Thank You
« Reply #23 on: February 10, 2007, 06:33:02 PM »
I have a rebuilt server us and ready for testing.

Carl

Hylafax Re-visited Yet Again
« Reply #24 on: February 11, 2007, 03:57:49 AM »
excellent,
second rpm is available, which is sending faxes from an email

pnmls

newbie question
« Reply #25 on: February 13, 2007, 06:08:04 PM »
Where can I find a suitable ghostscript >= 5.5 rpm?
Installing smeserver-hylafax and it demands hylafax, that demands ghostscript.
Can you help me ???

Thanks,
Pedro

Ran into the same issue.
« Reply #26 on: February 14, 2007, 08:15:01 AM »
Were we supposed to run YUM to resolve this issue? What would be the proper order to install?

Hylafax Re-visited Yet Again
« Reply #27 on: February 14, 2007, 08:25:21 AM »
yes,
it finds the dependencies automatically

see the instructions in the howto, see link above

I installed hylaxfax first, but you can try
yum localinstall smeserver-hylax hylafax

note the problems mentioned in the bugtracker, see link above

any other problems to the bugtracker

Hylafax Re-visited Yet Again
« Reply #28 on: February 14, 2007, 11:18:38 AM »
Quote from: "snoble"
yes,
it finds the dependencies automatically

see the instructions in the howto, see link above

I installed hylaxfax first, but you can try
yum localinstall smeserver-hylax hylafax

note the problems mentioned in the bugtracker, see link above

any other problems to the bugtracker


I tried to install smeserver-hylafax-0.9-2.noarch

and got

error: Failed dependencies:
        hylafax >= 4.3 is needed by smeserver-hylafax-0.9-2.noarch

If I install hylafax first, I get the error that one of the files is trying to overwrite a file that is already on the drive.

Please explain how this rpm is supposed to work please.

Carl

Additional Information
« Reply #29 on: February 14, 2007, 11:23:55 AM »
[root@cib hylacb]# yum --enablerepo=base --enablerepo=updates localinstall smeserver-hylafax-0.9-2.noarch.rpm
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "fastestmirror" plugin
Loading "smeserver" plugin
Setting up Local Package Process
Examining smeserver-hylafax-0.9-2.noarch.rpm: smeserver-hylafax - 0.9-2.noarch
Marking smeserver-hylafax-0.9-2.noarch.rpm to be installed
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package smeserver-hylafax.noarch 0:0.9-2 set to be updated
--> Running transaction check
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
--> Processing Dependency: hylafax >= 4.3 for package: smeserver-hylafax
--> Finished Dependency Resolution
Error: Missing Dependency: hylafax >= 4.3 is needed by package smeserver-hylafax
================================================================
No new rpms were installed. No additional commands are required.
================================================================